---
title: lightcards
section: 1
header: General Commands Manual
footer: VERSION_HERE
date: February 2021
---

# NAME
lightcards - terminal flashcards from Markdown

# SYNOPSIS
lightcards \[options\] \[input file\]

# DESCRIPTION
**lightcards** is a Python program that reads data from a two column Markdown (and by extension, HTML) table in the **input file**, and displays flashcards from their contents.

# OPTIONS
## Generic Program Information
**-h**, **\--help**
: Show a help message and exit

**-v**, **\--version**
: Print version and exit

## Startup options
**-a**, **\--alphabetize**
: Alphabetize card order

**-p**, **\--purge**
: Purge cache for chosen set

**-r**, **\--reverse**
: Reverse card order

**-s**, **\--shuffle**
: Shuffle card order

**-V** \[1-3\], **\--view** \[1-3\]
: Specify startup view

# KEYS
**l**, **right**
: Next card

**h**, **left**
: Previous card

**j**, **k**, **up**, **down**
: Flip card

**i**, **/**
: Star card

**0**, **^**, **home**
: Go to start of deck

**$**, **end**
: Go to end of deck

**H**, **?**
: Open help screen

**m**
: Open control menu

**1**, **2**, **3**
: Switch views between front first, back first, and both

**q**
: Quit

# INPUT FILE
Lightcards takes the first table from a valid Markdown or HTML file. Each row is a card, and the two columns are the front and back.

# EXIT STATUS
**0**
: Success

**1**
: Parse error

**2**
: Invalid option

**3**
: Curses error

# BUGS
https://lists.sr.ht/~armaan/public-inbox

# COPYRIGHT
Copyright 2021 Armaan Bhojwani <me@armaanb.net>, MIT License.
